Subject: Missing odbc library functions?
From: [email-masked]

9 Dec 1998 21:05:48 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

I would like to develop a program that uses ODBC with gnuwin32.
I have gotten this far:

- My program compiles with Microsoft Developer Studio 5.0.
- Gnu-win32 linker gives an error message, stating that the functions
	SQLDisconnect
	SQLAllocHandle
	SQLFreeHandle
  and several others, cannot be found in the library files.
- These functions ARE in odbc32.lib or odbccp32.lib (the Microsoft
  odbc libraries) but they ARE NOT in libodbc32.a or libodbccp32.a
  (the corresponding Gnu-win32 odbc library files). I checked this
  with nm.

Do you know if the libraries libodbc32.a, libodbccp32.a are in an alpha
version, and therefore these functions are still not there and will be
found in a future release?
Any ideas how to get my program to compile with gnuwin32 anyway?

Thanks in advance for any useful information.
Giorgio
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".